## org.apache.batik.util.gui
Class CSSMediaPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.apache.batik.util.gui.CSSMediaPanel

All Implemented Interfaces:
  javax.accessibility.Accessible, ActionMap, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class CSSMediaPanel
extends javax.swing.JPanel
implements ActionMap

This class represents a panel to edit/add/remove CSS media.

See Also:
  Serialized Form

Nested Class Summary
`protected class` `CSSMediaPanel.AddButtonAction` The action associated with the 'Add' button
`static class` `CSSMediaPanel.AddMediumDialog` A dialog to add a new CSS medium.
`protected class` `CSSMediaPanel.ClearButtonAction` The action associated with the 'Clear' button
`static class` `CSSMediaPanel.Dialog` A dialog to edit/add/remove CSS media.
`protected class` `CSSMediaPanel.MediaListDataListener` To manage data modifications in the media list.
`protected class` `CSSMediaPanel.MediaListSelectionListener` To manage selection modifications
`protected class` `CSSMediaPanel.RemoveButtonAction` The action associated with the 'Remove' button

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected javax.swing.JButton` `addButton` The button to add a CSS medium from the list.
`protected static java.util.ResourceBundle` `bundle` The resource bundle
`protected javax.swing.JButton` `clearButton` The button to clear the CSS media list.
`protected java.util.Map` `listeners` The map that contains the listeners
`protected javax.swing.DefaultListModel` `listModel` The list that represents the CSS media.
`protected javax.swing.JList` `mediaList` The list that represents the CSS media.
`protected javax.swing.JButton` `removeButton` The button to remove a CSS medium from the list.
`protected static ResourceManager` `resources` The resource manager
`protected static java.lang.String` `RESOURCES` The resource file name

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`CSSMediaPanel()` Constructs a new panel to edit CSS media.

Method Summary
`javax.swing.Action` `getAction(java.lang.String key)` Returns the action associated with the given string or null on error
`java.util.List` `getMedia()` Returns the list of media.
`java.lang.String` `getMediaAsString()` Returns the media list as a string separated by space.
`static void` `main(java.lang.String[] args)` Main - debug -
`void` `setMedia(java.util.List mediaList)` Sets the list of media to edit.
`void` `setMedia(java.lang.String media)` Sets the list of media to edit to the specified media list (separated by space).
`static int` `showDialog(java.awt.Component parent, java.lang.String title)` Brings up a modal dialog to edit/add/remove CSS media.
`static int` `showDialog(java.awt.Component parent, java.lang.String title, java.util.List mediaList)` Brings up a modal dialog to edit/add/remove CSS media.
`static int` `showDialog(java.awt.Component parent, java.lang.String title, java.lang.String media)` Brings up a modal dialog to edit/add/remove CSS media.
`protected void` `updateButtons()` Updates the button states.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RESOURCES

    protected static final java.lang.String RESOURCES

  The resource file name

  See Also:
    Constant Field Values

### bundle

    protected static java.util.ResourceBundle bundle

  The resource bundle

### resources

    protected static ResourceManager resources

  The resource manager

### removeButton

    protected javax.swing.JButton removeButton

  The button to remove a CSS medium from the list.

### addButton

    protected javax.swing.JButton addButton

  The button to add a CSS medium from the list.

### clearButton

    protected javax.swing.JButton clearButton

  The button to clear the CSS media list.

### listModel

    protected javax.swing.DefaultListModel listModel

  The list that represents the CSS media.

### mediaList

    protected javax.swing.JList mediaList

  The list that represents the CSS media.

### listeners

    protected java.util.Map listeners

  The map that contains the listeners

Constructor Detail

### CSSMediaPanel

    public CSSMediaPanel()

  Constructs a new panel to edit CSS media.

Method Detail

### updateButtons

    protected void updateButtons()

  Updates the button states.

### setMedia

    public void setMedia(java.util.List mediaList)

  Sets the list of media to edit.

  Parameters:
    `mediaList` - the list of media to edit

### setMedia

    public void setMedia(java.lang.String media)

  Sets the list of media to edit to the specified media list (separated by space).

  Parameters:
    `media` - the media separated by space

### getMedia

    public java.util.List getMedia()

  Returns the list of media.

### getMediaAsString

    public java.lang.String getMediaAsString()

  Returns the media list as a string separated by space.

### showDialog

    public static int showDialog(java.awt.Component parent,
                                 java.lang.String title)

  Brings up a modal dialog to edit/add/remove CSS media.

  Parameters:
    `parent` - the parent of this dialog
    `title` - the title of this dialog

### showDialog

    public static int showDialog(java.awt.Component parent,
                                 java.lang.String title,
                                 java.util.List mediaList)

  Brings up a modal dialog to edit/add/remove CSS media.

  Parameters:
    `parent` - the parent of this dialog
    `title` - the title of this dialog
    `mediaList` - the list of media

### showDialog

    public static int showDialog(java.awt.Component parent,
                                 java.lang.String title,
                                 java.lang.String media)

  Brings up a modal dialog to edit/add/remove CSS media.

  Parameters:
    `parent` - the parent of this dialog
    `title` - the title of this dialog
    `media` - the list of media

### getAction

    public javax.swing.Action getAction(java.lang.String key)
                                 throws MissingListenerException

  Returns the action associated with the given string or null on error

  Specified by:
    `getAction` in interface `ActionMap`
  Parameters:
    `key` - the key mapped with the action to get
  Throws:
    `MissingListenerException` - if the action is not found

### main

    public static void main(java.lang.String[] args)

  Main - debug -

Copyright © 2004 Apache Software Foundation. All Rights Reserved.